<?php
$blog_layout  = ocolus_get_option( 'ocolus_sidebar_blog_layout', 'right' );
$style = '';
if ( has_post_thumbnail() ) {
	$style = 'background-image:url(' . wp_get_attachment_image_url( get_post_thumbnail_id(), 'full' ) . ');';
}
?>
<div class="post-inner">
    <a href="<?php the_permalink(); ?>" class="thumb-link" style="<?php echo esc_attr( $style ); ?>"></a>
    <div class="post-info">
		<?php
		ocolus_post_category();
        ocolus_post_title();
        if ( $blog_layout == 'full' ){
            ocolus_post_excerpt();
        } else {
            ocolus_post_excerpt(12);
        }
		?>
    </div>
    <div class="post-readmore"><?php ocolus_post_readmore(); ?></div>
</div>